<% action = resource.persisted? ? :update : :create %>
<%= semantic_form_for [:admin, resource],
                      url: { action: action, id: resource[:id] } do |f| %>
  <%= f.inputs 'Details' do %>
    <%= f.input :title %>
    <%= f.input :navigation_label, hint: "If blank, we'll use the title." %>
    <%= f.input :using_custom_path, label: "Use a custom path?",
                input_html: { class: 'using-custom-path' } %>
    <%= f.input :path, input_html: { class: 'custom-path' } %>

    <%= f.input :parent_id,
                :collection => tree_options_for_select(resource),
                :as => :select %>
    <%= f.input :hidden, :label => 'Hide this page from menus' %>
  <% end %>

  <%= f.inputs 'Body' do %>
    <%= f.input :body, :label => false, input_html: { class: 'ckeditor5' } %>
  <% end %>

  <%= f.inputs 'Meta' do %>
    <%= f.input :meta_description, :input_html => {
          :class => 'plaintext',
          :rows => 10
        } %>
  <% end %>

  <% if f.respond_to?(:action_bar) %>
    <%= f.action_bar :cancel, :preview, :draft, :publish %>
  <% else %>
    <%= f.actions %>
  <% end %>
<% end %>
